#include<stdio.h>
main(){
FILE *fp;
float datos[3];
int i=0;
fp=fopen("archivo.dat","rb");
if (fp!=NULL){

while(fread(&datos[i], sizeof(float),1,fp)){  //& pasa la direccion de memoria
printf("%f\n",datos[i]);                      //de la variable ya que fread
i++;                                          //tiene puntero en el primer
                                               //parametro y necesita de ese

}

for(i=0;i<4;i++){
printf("Datos en el array float en datos[%i]: %f\n",i,datos[i]);
}


if (ferror(fp)){
printf("Hubo un error leyendo\n");
}

fclose(fp);
}
}
